FTExtrdGlyph.h File Reference
`#include <FTGL/ftgl.h>`

Go to the source code of this file.

## Data Structures

class | FTExtrudeGlyph
| FTExtrudeGlyph is a specialisation of FTGlyph for creating tessellated extruded polygon glyphs. More...

## Macros

#define | FTExtrdGlyph FTExtrudeGlyph

## Functions

FTGLglyph * | ftglCreateExtrudeGlyph (FT_GlyphSlot glyph, float depth, float frontOutset, float backOutset, int useDisplayList)
| Create a specialisation of FTGLglyph for creating tessellated extruded polygon glyphs.

## Macro Definition Documentation

## FTExtrdGlyph

#define FTExtrdGlyph FTExtrudeGlyph

Definition at line 77 of file FTExtrdGlyph.h.

## Function Documentation

## ftglCreateExtrudeGlyph()

FTGLglyph * ftglCreateExtrudeGlyph | ( | FT_GlyphSlot | glyph,
|  | float | depth,
|  | float | frontOutset,
|  | float | backOutset,
|  | int | useDisplayList
| ) |  |

Create a specialisation of FTGLglyph for creating tessellated extruded polygon glyphs.

Parameters

  glyph | The Freetype glyph to be processed
  depth | The distance along the z axis to extrude the glyph
  frontOutset | outset contour size
  backOutset | outset contour size
  useDisplayList | Enable or disable the use of Display Lists for this glyph `true` turns ON display lists. `false` turns OFF display lists.

Returns
  An FTGLglyph* object.